org.apache.poi.xddf.usermodel.text

## Class XDDFBodyProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFBodyProperties

-     @Beta
      public class XDDFBodyProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFBodyProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnchorType` | `getAnchoring()`
    `XDDFAutoFit` | `getAutoFit()`
    `java.lang.Double` | `getBottomInset()`
    `XDDFExtensionList` | `getExtensionList()`
    `java.lang.Double` | `getLeftInset()`
    `java.lang.Double` | `getRightInset()`
    `java.lang.Double` | `getTopInset()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties` | `getXmlObject()`
    `java.lang.Boolean` | `hasParagraphSpacing()`
    `java.lang.Boolean` | `isAnchorCentered()`
    `java.lang.Boolean` | `isRightToLeft()`
    `void` | `setAnchorCentered(java.lang.Boolean centered)`
    `void` | `setAnchoring(AnchorType anchor)`
    `void` | `setAutoFit(XDDFAutoFit autofit)`
    `void` | `setBottomInset(java.lang.Double points)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setLeftInset(java.lang.Double points)`
    `void` | `setParagraphSpacing(java.lang.Boolean spacing)`
    `void` | `setRightInset(java.lang.Double points)`
    `void` | `setRightToLeft(java.lang.Boolean rightToLeft)`
    `void` | `setTopInset(java.lang.Double points)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFBodyProperties

          @Internal
          protected XDDFBodyProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties getXmlObject()

    - #### getAnchoring

          public AnchorType getAnchoring()

    - #### setAnchoring

          public void setAnchoring(AnchorType anchor)

    - #### isAnchorCentered

          public java.lang.Boolean isAnchorCentered()

    - #### setAnchorCentered

          public void setAnchorCentered(java.lang.Boolean centered)

    - #### getAutoFit

          public XDDFAutoFit getAutoFit()

    - #### setAutoFit

          public void setAutoFit(XDDFAutoFit autofit)

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

    - #### getBottomInset

          public java.lang.Double getBottomInset()

    - #### setBottomInset

          public void setBottomInset(java.lang.Double points)

    - #### getLeftInset

          public java.lang.Double getLeftInset()

    - #### setLeftInset

          public void setLeftInset(java.lang.Double points)

    - #### getRightInset

          public java.lang.Double getRightInset()

    - #### setRightInset

          public void setRightInset(java.lang.Double points)

    - #### getTopInset

          public java.lang.Double getTopInset()

    - #### setTopInset

          public void setTopInset(java.lang.Double points)

    - #### hasParagraphSpacing

          public java.lang.Boolean hasParagraphSpacing()

    - #### setParagraphSpacing

          public void setParagraphSpacing(java.lang.Boolean spacing)

    - #### isRightToLeft

          public java.lang.Boolean isRightToLeft()

    - #### setRightToLeft

          public void setRightToLeft(java.lang.Boolean rightToLeft)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.